Subject: bug#11617: Don't use 'register'; these days it's not needed.

From: Chong Yidong <[email-masked]>
Date: Sun, 03 Jun 2012 22:50:02 +0800

Eli Zaretskii <[email-masked]> writes:

>> Attached is a patch to remove 'register' from the mainline
>> Emacs source code.
>
> FWIW, I see no compelling reason for this change, even after I've read
> the explanations.  This keyword is a cue to the compiler, so it in
> general conveys non-trivial information.  If today's compilers mostly
> ignore that, it doesn't mean this will always be the state of affairs.
> However, by removing this, we lose those cues forever.

I wonder how many of those register variables were actually added after
profiling to see if they make any difference.  My guess is none,
i.e. those keywords are bogus.